> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prop Account Detail

> Return prop state for a single trading account.

Scoped: caller must be able to view the customer who owns the account.



## OpenAPI

````yaml /openapi.json get /prop/accounts/{account_id}
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /prop/accounts/{account_id}:
    get:
      tags:
        - Prop trading
      summary: Prop Account Detail
      description: |-
        Return prop state for a single trading account.

        Scoped: caller must be able to view the customer who owns the account.
      operationId: prop_account_detail_prop_accounts__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Account Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropAccountDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    PropAccountDetail:
      properties:
        account_id:
          type: string
          format: uuid
          title: Account Id
        login:
          type: string
          title: Login
        account_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Type
        account_currency:
          type: string
          title: Account Currency
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
        close_only:
          type: boolean
          title: Close Only
        is_active:
          type: boolean
          title: Is Active
        phase:
          anyOf:
            - type: string
            - type: 'null'
          title: Phase
        state_status:
          anyOf:
            - type: string
            - type: 'null'
          title: State Status
        starting_balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Starting Balance
        total_profit_to_date:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Profit To Date
        profit_target_amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Profit Target Amount
        daily_dd_floor:
          anyOf:
            - type: number
            - type: 'null'
          title: Daily Dd Floor
        max_loss_floor:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Loss Floor
        trading_days_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trading Days Count
        winning_days_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Winning Days Count
        breached_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Breached At
        breached_rule_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Breached Rule Type
      type: object
      required:
        - account_id
        - login
        - account_type
        - account_currency
        - balance
        - close_only
        - is_active
        - phase
        - state_status
        - starting_balance
        - total_profit_to_date
        - profit_target_amount
        - daily_dd_floor
        - max_loss_floor
        - trading_days_count
        - winning_days_count
        - breached_at
        - breached_rule_type
      title: PropAccountDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````